#ifndef _getparam_h
#define _getparam_h

#include "packet.h"
#include "controller.h"

#include <sys/types.h>


/* Creates data and metadata for a getcontrol packet.
 * Returns data size.
 */
ssize_t EncodeGetparam(
		struct metadata *m, /* Out */
		uint8_t *data,      /* Out */
		size_t data_size,   /* Data buffer max size */
		const struct controller_message *cm); /* Value is not used; only IDs */

/* Decode a metadata and data to populate a message
 * Returns 0 on success, -1 on failure
 */
int DecodeGetparam(
		struct controller_message *cm, /* Out. Value is undefined */
		const struct metadata *m,      /* In */
		const uint8_t * data);         /* In */


#endif
